ECHO OFF

:R  This AUTOEXEC file is for DOS 3.1 - use 400 for environment for DOS 3.2.
:R  Requirements: Environment size {25} adequate for AUTOEXEC local variables.
:R  Files ANSWER.COM (v2.02) must be properly addressed for proper operation.
:R  Error checking is provided only against fatal errors in CHANGE option.
:R  Last modification -- 12-13-86	 Brad Berson   BAB Enterprises

IF "%0"=="autoexec" GOTO OPTHELP
IF "%0"=="AUTOEXEC" GOTO OPTHELP
IF EXIST C:\UTILS\DATA\*.MRK DEL C:\UTILS\DATA\*.MRK

:OPTION
ECHO+
C:\UTILS\ANSWER Option [c/h/d/s/f/q/t/r/e/u]?_
IF "%ANSWER%"=="Q" GOTO ENDEXEC
IF "%ANSWER%"==""  GOTO FASTSTRT
IF "%ANSWER%"=="F" GOTO FASTSTRT
IF "%ANSWER%"=="S" GOTO SLOWSTRT
IF "%ANSWER%"=="D" GOTO DESQVIEW
IF "%ANSWER%"=="C" GOTO CHANGSYS
IF "%ANSWER%"=="T" GOTO SETTIME
IF "%ANSWER%"=="R" GOTO REMOVRES
IF "%ANSWER%"=="E" GOTO CPMULATE
IF "%ANSWER%"=="U" GOTO UNIXSHEL
IF "%ANSWER%"=="H" GOTO OPTHELP
GOTO OPTION

:OPTHELP
ECHO+
ECHO c)  Configure system
ECHO h)  This help text
ECHO d)  Desqview start
ECHO s)  Slow start
ECHO f)  Fast start
ECHO q)  Quick start
ECHO t)  Reset clock
ECHO r)  Shut down
ECHO e)  CPM shell
ECHO u)  UNIX shell
GOTO OPTION

:SETTIME
ECHO+
C:\UTILS\BOOT\ASTCLOCK /R
ECHO+
DATE
ECHO+
TIME
ECHO+
ECHO System clock has been updated...
ECHO Please re-boot machine for normal operation.
GOTO OPTION

:REMOVRES
C:\UTILS\BOOT\RELEASE !SystemLevel
ECHO+
ECHO *** WARNING ***
ECHO You must now exit AUTOEXEC and restart
ECHO to avoid memory fragmentation.
ECHO Please use option (q).
GOTO OPTION

:CPMULATE
ECHO+
ECHO Starting Z80MU shell...
ECHO Type EXIT to return to PC-DOS
ECHO+
C:\UTILS\BOOT\Z80MU
GOTO TERMINAT

:UNIXSHEL
ECHO+
ECHO Starting C-Shell UNIX...
ECHO Type EXIT to return to PC-DOS
ECHO+
C:\UTILS\BOOT\CSHELL2
GOTO TERMINAT

:SLOWSTRT
ECHO+
C:\UTILS\ANSWER Start-up filename? :_
ECHO+
IF "%ANSWER%"=="" GOTO DOSLOWST
IF EXIST C:\UTILS\BOOT\%ANSWER%.BAT C:\UTILS\BOOT\%ANSWER%
ECHO Error finding start-up file.
GOTO OPTION
:DOSLOWST
ECHO No slow-start procedure installed yet.
GOTO OPTION
GOTO ENDEXEC

:DESQVIEW
ECHO+
ECHO You must type XDV or DV to start DesqView...
ECHO+
VERIFY ON
C:\UTILS\BOOT\ASTCLOCK
C:\DOS\MODE LPT1:
C:\UTILS\BOOT\MONOBLNK
PATH ..;C:\UTILS;C:\DOS;C:\UTILS\BATCH
CD \DV
GOTO ENDEXEC

:FASTSTRT
ECHO+
ECHO Fast start procedure in progress...
ECHO+
C:\UTILS\BOOT\MARK !SystemLevel
C:\UTILS\BOOT\ASTCLOCK
C:\DOS\MODE LPT1:
C:\UTILS\SUPERSPL LPT1:/M=100/B
C:\UTILS\BOOT\PKLOAD
C:\UTILS\BOOT\MONOBLNK
C:\UTILS\BOOT\DOORS
C:\UTILS\BOOT\GRAFTRAX
C:\UTILS\BOOT\PRTSCFX
C:\UTILS\BOOT\SONIX/?/NH/I=7
SET DP=C:\UTILS\DATA;C:\VX
C:\UTILS\DPATH
SET DP=
C:\UTILS\KBFIX /KT1 /T1 /KTR1 /S1 /V0
C:\UTILS\CED -B1024,512,1024,256,128,128 -FC:\UTILS\DATA\CED.CFG
C:\UTILS\BOOT\SK
C:\UTILS\CALCHK C:\GENFIL\SK\APPOINT.APP
PATH ..;C:\UTILS;C:\DOS;C:\UTILS\BATCH
SET TAPESET=1234567890123456789012345678901
SET TAPERR=0000
SET PC-VT=C:\COMM\SETUP
SET PROCOMM=C:\COMM\SETUP\
SET DP=C:\UTILS\DATA;C:\VX
SET DOG=C:\UTILS\DATA\ORDER.DOG
SET LIB=C:\DEV;C:\DEV\LIB
SET INCLUDE=C:\DEV\HDRS
SET LC=C:\DEV
SET TEMP=D:
VERIFY ON
PROMPT $p$_$g
GOTO ENDEXEC

:CHANGSYS
COPY C:\CONFIG.SYS C:\UTILS\BOOT > NUL
DEL C:\CONFIG.SYS
ECHO+
ECHO CONFIG.SYS deleted.  You must complete this procedure.
ECHO+
ECHO *** DOS Specific Options ***
:EXTBREAK
   ECHO+
   C:\UTILS\ANSWER Extended break checking? y/(n)      :_
   IF "%ANSWER%"=="" GOTO DSKBUFF
   IF "%ANSWER%"=="N" GOTO DSKBUFF
   IF "%ANSWER%"=="Y" GOTO BREAKON
   GOTO EXTBREAK
   :BREAKON
   ECHO BREAK=ON >> C:\CONFIG.SYS
:DSKBUFF
   ECHO+
   C:\UTILS\ANSWER number DOS disk buffers? (20) 1-99  :_
   IF "%ANSWER%"=="2" GOTO FCBMAX
   IF "%ANSWER%"=="" ECHO BUFFERS=20 >> C:\CONFIG.SYS
   IF NOT "%ANSWER%"=="" ECHO BUFFERS=%ANSWER% >> C:\CONFIG.SYS
:FCBMAX
   ECHO+
   C:\UTILS\ANSWER File control blocks max? (4) 1-255  :_
   IF "%ANSWER%"=="" SET FCBMAX=4
   IF NOT "%ANSWER%"=="" SET FCBMAX=%ANSWER%
   ECHO+
   C:\UTILS\ANSWER File cntrl blks protected? (0)-255  :_
   IF "%ANSWER%"=="" SET FCBPROT=0
   IF NOT "%ANSWER%"=="" SET FCBPROT=%ANSWER%
   IF "%FCBMAX%%FCBPROT%"=="40" GOTO FILESMAX
   ECHO FCBS=%FCBMAX%,%FCBPROT% >> C:\CONFIG.SYS
:FILESMAX
   ECHO+
   C:\UTILS\ANSWER File handles max? (20) 8-255        :_
   IF "%ANSWER%"=="8" GOTO LASTDRV
   IF "%ANSWER%"=="" ECHO FILES=20 >> C:\CONFIG.SYS
   IF NOT "%ANSWER%"=="" ECHO FILES=%ANSWER% >> C:\CONFIG.SYS
:LASTDRV
   ECHO+
   C:\UTILS\ANSWER Last drive device ID? (E) A-Z       :_
   IF "%ANSWER%"=="" GOTO CMDNAME
   IF "%ANSWER%"=="E" GOTO CMDNAME
   ECHO LASTDRIVE=%ANSWER% >> C:\CONFIG.SYS
:CMDNAME
   ECHO+
   C:\UTILS\ANSWER Command processor (COMMAND.COM)     :_
   IF "%ANSWER%"=="" GOTO DEFCMDNM
   SET CMDNAME=%ANSWER%
   GOTO CMDPATH
   :DEFCMDNM
   SET CMDNAME=COMMAND.COM
:CMDPATH
   ECHO+
   C:\UTILS\ANSWER Cmd processor load path (C:\DOS)    :_
   IF "%ANSWER%"=="" GOTO DEFCMDTH
   SET CMDPATH=%ANSWER%
   GOTO FINDCMD
   :DEFCMDTH
   SET CMDPATH=C:\DOS
   :FINDCMD
   IF EXIST %CMDPATH%\%CMDNAME% GOTO ENVIRON
   ECHO+
   ECHO Error finding command processor.
   GOTO CMDNAME
:ENVIRON
   ECHO+
   C:\UTILS\ANSWER Environment #paragraphs (25) 10-62  :_
   IF "%ANSWER%"=="" SET ENVSIZE=25
   IF NOT "%ANSWER%"=="" SET ENVSIZE=%ANSWER%
   ECHO SHELL=%CMDPATH%\%CMDNAME% %CMDPATH% /P /E:%ENVSIZE% >> C:\CONFIG.SYS
ECHO+
ECHO *** Enhancement Options ***
:DRIVER
   ECHO+
   C:\UTILS\ANSWER Use a CON: device driver? (y)/n     :_
   IF "%ANSWER%"=="N" GOTO EXPMEM
   IF "%ANSWER%"=="Y" GOTO DRVTYPE
   IF "%ANSWER%"=="" GOTO DRVTYPE
   GOTO DRIVER
:DRVTYPE
   ECHO+
   C:\UTILS\ANSWER ((a) ANSI.SYS) or (b) FCONSOLE.DEV? :_
   IF "%ANSWER%"=="" GOTO ANSI
   IF "%ANSWER%"=="A" GOTO ANSI
   IF "%ANSWER%"=="B" GOTO FCON
   GOTO DRVTYPE
   :ANSI
   ECHO DEVICE=C:\DOS\ANSI.SYS >> C:\CONFIG.SYS
   GOTO EXPMEM
   :FCON
   ECHO DEVICE=C:\UTILS\BOOT\FCONSOLE.DEV >> C:\CONFIG.SYS
:EXPMEM
   ECHO+
   C:\UTILS\ANSWER Use expanded memory driver? (y)/n   :_
   IF "%ANSWER%"=="" GOTO EMMSYS
   IF "%ANSWER%"=="Y" GOTO EMMSYS
   IF "%ANSWER%"=="N" GOTO RAMDISK
   GOTO EXPMEM
   :EMMSYS
   ECHO DEVICE=C:\UTILS\BOOT\REMM.SYS >> C:\CONFIG.SYS
:EXTEMU
   ECHO+
   C:\UTILS\ANSWER Use extended memory emulator? (y)/n :_
   SET EXT=
   IF "%ANSWER%"=="" GOTO EXTEMUQ
   IF "%ANSWER%"=="Y" GOTO EXTEMUQ
   IF "%ANSWER%"=="N" GOTO RAMDISK
   GOTO EXTEMU
:EXTEMUQ
   ECHO+
   C:\UTILS\ANSWER Allocate #Kbytes to emulator? (512) :_
   SET EXT=/E
   IF "%ANSWER%"=="" GOTO REXDEF
   IF "%ANSWER%"=="512" GOTO REXDEF
   ECHO DEVICE=C:\UTILS\BOOT\REX.SYS %ANSWER% >> C:\CONFIG.SYS
   GOTO RAMDISK
   :REXDEF
   ECHO DEVICE=C:\UTILS\BOOT\REX.SYS >> C:\CONFIG.SYS
:RAMDISK
   ECHO+
   C:\UTILS\ANSWER Use the AST FastDisk RamDisk? (y)/n :_
   IF "%ANSWER%"=="" GOTO DISKSIZE
   IF "%ANSWER%"=="Y" GOTO DISKSIZE
   IF "%ANSWER%"=="N" GOTO SPEAKER
   GOTO RAMDISK
:DISKSIZE
   ECHO+
   C:\UTILS\ANSWER Enter RamDisk size in Kbytes (360)  :_
   IF "%ANSWER%"=="" SET DISKSIZE=360
   IF NOT "%ANSWER%"=="" SET DISKSIZE=%ANSWER%
   ECHO+
   IF "%EXT%"=="/E" ECHO RamDisk to use extended memory.
   IF "%EXT%"=="" ECHO RamDisk uses %DISKSIZE%K of conventional memory.
   ECHO DEVICE=C:\UTILS\BOOT\FASTDISK.SYS %DISKSIZE% 512 %EXT% >> C:\CONFIG.SYS
:SPEAKER
   ECHO+
   C:\UTILS\ANSWER Install speaker driver? (y)/n       :_
   IF "%ANSWER%"=="N" GOTO PASSWORD
   IF "%ANSWER%"=="Y" GOTO DOSPKR
   IF "%ANSWER%"=="" GOTO DOSPKR
   GOTO SPEAKER
   :DOSPKR
   ECHO DEVICE=C:\UTILS\BOOT\SPKR.SYS >> C:\CONFIG.SYS
:PASSWORD
   ECHO+
   C:\UTILS\ANSWER Password protect fixed disk? (y)/n  :_
   IF "%ANSWER%"=="N" GOTO ENDFIL
   IF "%ANSWER%"=="Y"  GOTO DOPWD
   IF "%ANSWER%"==""  GOTO DOPWD
   GOTO PASSWORD
   :DOPWD
   ECHO DEVICE=C:\UTILS\BOOT\PASSWORD.SYS >> C:\CONFIG.SYS
:ENDFIL
   ECHO+
   ECHO Last chance to recover old CONFIG.SYS...
   C:\UTILS\ANSWER Discard new configuration? (y)/n    :_
   IF "%ANSWER%"=="" GOTO RESTCFG
   IF "%ANSWER%"=="Y" GOTO RESTCFG
   IF "%ANSWER%"=="N" GOTO ENDCHANG
   GOTO ENDFIL
:RESTCFG
   COPY C:\UTILS\BOOT\CONFIG.SYS C:\ > NUL
   GOTO OPTION
:ENDCHANG
ECHO+
ECHO You must reboot for the changes to take effect.
GOTO OPTION

:ENDEXEC
SET ANSWER=
SET CMDPATH=
SET CMDNAME=
SET ENVSIZE=
SET DISKSIZE=
SET EXT=
IF "%0"=="autoexec" GOTO TERMINAT
IF "%0"=="AUTOEXEC" GOTO TERMINAT
CLS
VER
IF EXIST C:\GENFIL\TEXT\NOTICE.TXT TYPE C:\GENFIL\TEXT\NOTICE.TXT

:TERMINAT
